## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           pplite
Version:        0.11
Release:        %autorelease
Summary:        Convex polyhedra library for abstract interpretation

License:        GPL-3.0-or-later
URL:            https://www.cs.unipr.it/~zaffanella/PPLite/
Source0:        https://github.com/ezaffanella/PPLite/raw/main/releases/%{name}-%{version}.tar.gz

# See https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  flint-devel
BuildRequires:  gcc-c++
BuildRequires:  make

%description
PPLite is an open-source C++ library implementing the abstract domain of
convex polyhedra, to be used in tools for static analysis and
verification.

%package        devel
Summary:        Development files for PPLite
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Header files and library links for developing applications that use
PPLite.

%package        tools
Summary:        Command line tools to use PPLite functionality
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
Command line tools to use PPLite functionality.

%prep
%autosetup

%build
%configure --disable-arch --disable-static
%make_build

%install
%make_install

%check
make tests

%files
%license COPYING
%doc CREDITS
%{_libdir}/libpplite.so.4*

%files devel
%{_includedir}/pplite/
%{_libdir}/libpplite.so

%files tools
%{_bindir}/pplite_lcdd

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Jerry James <loganjerry@gmail.com> - 0.11-2
- Stop building for 32-bit x86

* Thu Aug 03 2023 Jerry James <loganjerry@gmail.com> - 0.11-1
- Initial RPM
## END: Generated by rpmautospec
